%define upstream_name    Gtk2-Spell
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module for the gtkspell library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://ovh.dl.sourceforge.net/sourceforge/gtk2-perl/%upstream_name-%upstream_version.tar.gz
Patch0:     Gtk2-Spell-1.04-minimum_require.diff

BuildRequires: pkgconfig(gtkspell-2.0) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Glib
BuildRequires: perl-Gtk2
BuildRequires: perl-devel
Requires:   gtk+2

%description
This module provides perl access to the gtkspell library.

The GtkSpell graphical user interface library allow to write applications that
highlight mis-spelled words.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .minreq
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog LICENSE META.json META.yml MYMETA.yml NEWS README
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/Gtk2/*


%changelog

* Fri Jan 18 2013 fwang <fwang> 1.40.0-4.mga3
+ Revision: 389369
- cleanup br

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-3.mga3
+ Revision: 367929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.40.0-2.mga3
+ Revision: 250746
- rebuild for perl 5.16

* Fri Jan 06 2012 jquelin <jquelin> 1.40.0-1.mga2
+ Revision: 192535
- adding missing buildrequires:
- update to 1.04

  + fwang <fwang>
    - rebuild

* Sun Jun 12 2011 ahmad <ahmad> 1.30.0-3.mga2
+ Revision: 104478
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 1.30.0-2.mga1
+ Revision: 36347
- mageia rebuild
- imported package perl-Gtk2-Spell

